| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysSoftwareOutputFilter Member List

This is the complete list of members for iSndSysSoftwareOutputFilter, including all inherited members.

AddRefOwner(void **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
DeliverData(const csSoundSample *SampleBuffer, size_t Frames)=0 | iSndSysSoftwareOutputFilter | `[pure virtual]`
FormatNotify(const csSndSysSoundFormat *pSoundFormat)=0 | iSndSysSoftwareOutputFilter | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(void **ref_owner)=0 | iBase | `[pure virtual]`
SCF_INTERFACE(iSndSysSoftwareOutputFilter, 0, 1, 0) | iSndSysSoftwareOutputFilter |
~iBase() | iBase | `[inline, protected, virtual]`